LIBJXL

Classes | Typedefs
thread_parallel_runner_cxx.h File Reference

C++ header-only helper for thread_parallel_runner.h. More...

`#include <memory>`
`#include "jxl/thread_parallel_runner.h"`
Include dependency graph for thread_parallel_runner_cxx.h:

Go to the source code of this file.

## Classes
struct | JxlThreadParallelRunnerDestroyStruct

## Typedefs
typedef std::unique_ptr< void, JxlThreadParallelRunnerDestroyStruct > | JxlThreadParallelRunnerPtr

## Detailed Description

C++ header-only helper for thread_parallel_runner.h.

There's no binary library associated with the header since this is a header only library.

## Typedef Documentation

## ◆ JxlThreadParallelRunnerPtr

typedef std::unique_ptr<void, JxlThreadParallelRunnerDestroyStruct> JxlThreadParallelRunnerPtr

std::unique_ptr<> type that calls JxlThreadParallelRunnerDestroy() when releasing the runner.

Use this helper type from C++ sources to ensure the runner is destroyed and their internal resources released.